/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmTablevar;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmTablevarRecord extends TableRecordImpl<VDmTablevarRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_tablevar.variable_key_element</code>.
     */
    public void setVariableKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.variable_key_element</code>.
     */
    public Integer getVariableKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.variable_dn</code>.
     */
    public void setVariableDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.variable_dn</code>.
     */
    public String getVariableDn() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.variable_short_name</code>.
     */
    public void setVariableShortName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.variable_short_name</code>.
     */
    public String getVariableShortName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.table_key_element</code>.
     */
    public void setTableKeyElement(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.table_key_element</code>.
     */
    public Integer getTableKeyElement() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.table_dn</code>.
     */
    public void setTableDn(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.table_dn</code>.
     */
    public String getTableDn() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.table_short_name</code>.
     */
    public void setTableShortName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.table_short_name</code>.
     */
    public String getTableShortName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablevar.study_name</code>.
     */
    public void setStudyName(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablevar.study_name</code>.
     */
    public String getStudyName() {
        return (String) get(6);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmTablevarRecord
     */
    public VDmTablevarRecord() {
        super(VDmTablevar.V_DM_TABLEVAR);
    }

    /**
     * Create a detached, initialised VDmTablevarRecord
     */
    public VDmTablevarRecord(Integer variableKeyElement, String variableDn, String variableShortName, Integer tableKeyElement, String tableDn, String tableShortName, String studyName) {
        super(VDmTablevar.V_DM_TABLEVAR);

        setVariableKeyElement(variableKeyElement);
        setVariableDn(variableDn);
        setVariableShortName(variableShortName);
        setTableKeyElement(tableKeyElement);
        setTableDn(tableDn);
        setTableShortName(tableShortName);
        setStudyName(studyName);
        resetChangedOnNotNull();
    }
}
